Skip to main content
GET
/
api
/
Sites
/
getHackers
/
{id}
cURL
curl --request GET \
  --url https://api.example.com/api/Sites/getHackers/{id} \
  --header 'Authorization: <api-key>'
[
  {
    "siteId": "<string>",
    "email": "<string>",
    "id": "<string>",
    "site": {
      "id": "<string>",
      "originName": "<string>",
      "hackgatedName": "<string>",
      "isActive": true,
      "orgId": "<string>",
      "cretedByUserId": "<string>",
      "creationdDate": "2023-11-07T05:31:56Z",
      "hasCustomList": true,
      "isDeploymentProgress": true,
      "startDate": "2023-11-07T05:31:56Z",
      "stopDate": "2023-11-07T05:31:56Z",
      "credentials": "<string>",
      "instructions": "<string>",
      "rateLimit": "<string>",
      "blockList": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hackgate.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication header

Path Parameters

id
string
required

Response

OK

siteId
string
required
Minimum string length: 1
email
string
required
Minimum string length: 1
id
string | null
site
object
Last modified on May 9, 2026